OpenNMS API 1.2.9

## org.opennms.web.asset
Class ImportAssetsServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.asset.ImportAssetsServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ImportAssetsServlet
extends javax.servlet.http.HttpServlet

Author:
  Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected AssetModel` `model`
`protected java.lang.String` `redirectSuccess` The URL to redirect the client to in case of success.

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`ImportAssetsServlet()`

Method Summary
`java.util.List` `decodeAssetsText(java.lang.String text)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Acknowledge the events specified in the POST and then redirect the client to an appropriate URL for display.
`java.util.List` `getCurrentAssetNodesList()`
`void` `init()` Looks up the `dispath.success` parameter in the servlet's config.
`private java.util.ArrayList` `splitfields(java.lang.String string, java.lang.String sep, int maxsplit)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### redirectSuccess

    protected java.lang.String redirectSuccess

  The URL to redirect the client to in case of success.

### model

    protected AssetModel model

Constructor Detail

### ImportAssetsServlet

    public ImportAssetsServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Looks up the `dispath.success` parameter in the servlet's config. If not present, this servlet will throw an exception so it will be marked unavailable.

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Acknowledge the events specified in the POST and then redirect the client to an appropriate URL for display.

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### decodeAssetsText

    public java.util.List decodeAssetsText(java.lang.String text)

### getCurrentAssetNodesList

    public java.util.List getCurrentAssetNodesList()
                                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### splitfields

    private java.util.ArrayList splitfields(java.lang.String string,
                                            java.lang.String sep,
                                            int maxsplit)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.